<div id="menuOrdenPreparacion" style="z-index:20000">
	
    <?php if($menuPreparacionDesplegable) { ?>
    <img id="botonMenuOrdenPreparacionDesplegable" src="<?php echo DIR_IMAGENES; ?>/menu-off.png" alt="" class="icono"/>
    <?php } ?>
    
    <div id="menuOrdenPreparacionDesplegable-contenido" style="overflow:hidden;<?php if($menuPreparacionDesplegable) { ?>display:none<?php } ?>">
    
    <?php //echo "<p style='font-size:8pt'>bloqueada: ".$bloqueadaPorOtroUsuario."</p>"; ?>
    <?php //echo "<p style='font-size:8pt'>cuenta productos: ".count($productos)."</p>"; ?>
    
    <?php //18-4-2018 quito la condicion && count($productos)>0 porque hace que falle en el "proceso" al no haber productos. En la pantalla del detalle de OP no hay problema porque al darle play, luego el WS se encarga de informar que no hay productos disponibles ?>
    
    <?php
	if($_GET['traza']=='si') {
		echo '<p>bloqueadaPorOtroUsuario: '.$bloqueadaPorOtroUsuario.'</p>';
		echo '<p>Error: '.$producto['Error'].'</p>';
		echo '<p>EstadoOprep: '.$_SESSION['orden']['EstadoOprep'].'</p>';
		echo '<p>desactivarPlay: '.$desactivarPlay.'</p>';
	}
	
	?>
    
    <?php if( !$bloqueadaPorOtroUsuario && !$producto['Error'] && $_SESSION['orden']['EstadoOprep']!='Cerrada' && !$desactivarPlay && !$modoSeleccionCodigoSolicitar ) { ?>
    <img id="botonSgteProducto" src="<?php echo DIR_IMAGENES; ?>/botones/play.png" alt="Siguiente producto por ubicación" class="icono continuar"/>
    <?php } else { ?>
    <img id="botonSgteProductoOff" src="<?php echo DIR_IMAGENES; ?>/botones/play-off.png" alt="" class="icono off"/>
    <?php } ?>
    
    <?php if($_SESSION['orden']['Estado']=='Iniciada' && $mostrarSgteUbicacion && !$bloqueadaPorOtroUsuario && !$modoSeleccionCodigoSolicitar ) { ?>
	<img id="botonSgteUbicacion" src="<?php echo DIR_IMAGENES; ?>/botones/continue.png" alt="Siguiente ubicación para este producto" class="icono continuar"/>
    <?php } else { ?>
    <img id="botonSgteUbicacionOff" src="<?php echo DIR_IMAGENES; ?>/botones/continue-off.png" alt="Siguiente ubicación para este producto" class="icono off"/>
    <?php } ?>
    
	<?php if($_SESSION['orden']['Estado']=='Iniciada' && !$bloqueadaPorOtroUsuario ) { ?>
    <img id="botonFinalizar" src="<?php echo DIR_IMAGENES; ?>/botones/stop.png" alt="Salir de este parte de preparación" class="icono"/>
    <?php } else { ?>
    <img id="botonFinalizarOff" src="<?php echo DIR_IMAGENES; ?>/botones/stop-off.png" alt="Salir de este parte de preparación" class="icono off"/>
    <?php } ?>
    
    <?php if($_SESSION['parametrosSGA']['FotosSalidas']=='S' ) { ?>
		<?php if( ( $_SESSION['orden']['Estado']=='Iniciada' || ( isset($_SESSION['carga']) && $_SESSION['orden']['EstadoOprep']=='Cerrada' ) ) && !$modoSeleccionCodigoSolicitar ) { ?>
        <img id="botonCamara" src="<?php echo DIR_IMAGENES; ?>/botones/camera.png" alt="Tomar fotografías" class="icono"/>
        <?php } else { ?>
        <img id="botonCamaraOff" src="<?php echo DIR_IMAGENES; ?>/botones/camera-off.png" alt="Tomar fotografías" class="icono off"/>
        <?php } ?>
    <?php } ?>
	
	<?php if( $mostrarModoLectura && $_SESSION['orden']['Estado']=='Iniciada' && !$cargaRapida ) { ?>
    	<img id="botonModoLectura" src="<?php echo DIR_IMAGENES; ?>/botones/modo-lectura-op.png" alt="" class="icono"/>
    <?php } ?>
    
    <?php if( $mostrarModoSeleccion && $_SESSION['orden']['Estado']=='Iniciada' && !$cargaRapida ) { ?>
    	<img id="botonModoSeleccion" src="<?php echo DIR_IMAGENES; ?>/botones/modo-lectura-entrada.png" alt="" class="icono"/>
    <?php } ?>

    <!-- Obsoleto, se debe saltar al PL desde la misma pantalla, donde aparece la info del num de PL y no desde la botonera del proceso de preparación
	<?php if( $_SESSION['parametrosSGA']['GestionPackingList']=='S' && ( $_SESSION['parametrosSGA']['GestionPackingList']=='S' || $_SESSION['orden']['RequierePackingList']=='S' ) ) { ?>
		<?php if( $_SESSION['orden']['PackingList'] ) { ?>
        <a href="<?php echo $rutaHtml; ?>/packing-list.php?orden=<?php echo $_SESSION['orden']['PackingList']; ?>"><img id="botonPacking" src="<?php echo DIR_IMAGENES; ?>/botones/packing.png" alt="Ir al Packing List" class="icono mostrarCargando"/></a>
        <?php } else { ?>
        <img id="botonPackingOff" src="<?php echo DIR_IMAGENES; ?>/botones/packing-off.png" alt="" class="icono"/>
        <?php } ?>
    <?php } ?>
    -->
    
    <?php if($mostrarInfo) { ?>
    <img id="botonInfo" src="<?php echo DIR_IMAGENES; ?>/botones/info.png" alt="Ver detalle de la orden" class="icono"/>
    <?php } ?>
    
    <?php if($_SESSION['orden']['Estado']=='Iniciada' && !$bloqueadaPorOtroUsuario) { ?>
    <img id="botonPausar" src="<?php echo DIR_IMAGENES; ?>/botones/pause.png" alt="Pausar y volver al listado" class="icono"/>
    <?php } else { ?>
    <img id="botonVolverPreparacion" src="<?php echo DIR_IMAGENES; ?>/botones/back.png" alt="Volver al listado" class="icono"/>
    <?php } ?>
    
    </div>

</div>


<script>

function menuOrdenPreparacionDesplegado(valor) {

	if(valor) {
		$('#botonMenuOrdenPreparacionDesplegable').attr("src","<?php echo DIR_IMAGENES; ?>/menu-on.png");
		$('#menuOrdenPreparacionDesplegable-contenido').show(50);
	}
	else {
		$('#botonMenuOrdenPreparacionDesplegable').attr("src","<?php echo DIR_IMAGENES; ?>/menu-off.png");
		$('#menuOrdenPreparacionDesplegable-contenido').hide();
	}

}

$(document).ready(function() {

	<?php if($menuPreparacionDesplegable) { ?>
	
	$('#botonMenuOrdenPreparacionDesplegable').on('click',function(){
		if($('#menuOrdenPreparacionDesplegable-contenido').css("display")=='none') menuOrdenPreparacionDesplegado(true);
		else menuOrdenPreparacionDesplegado(false);
	});
	
	<?php } ?>



	<?php if($mostrarInfo) { ?>
    $('#botonInfo').on("click",function(e){
		e.preventDefault();
		console.log('botoninfo clicado');
		$('#popupCargando').show();
		console.log('circulito lanzado');
		window.location='<?php echo $rutaHtml; ?>/orden-preparacion-S.php?orden=<?php echo $_SESSION['orden']['OrdenPreparacion']; ?>&empresa=<?php echo $_SESSION['orden']['Empresa']; ?>';
		console.log('localizacion cambiada');
	});
    <?php } ?>

	<?php if($_SESSION['orden']['Estado']=='Iniciada') { ?>
	
	$('#botonFinalizar').on("click",function(e){
		e.preventDefault();
		$('#popupCargando').show();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-finalizar.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $_SESSION['orden']['procedenciaPantallaTablet']; ?>';	
		});
	});

	<?php } ?>
	
	$('#botonPausar').on("click",function(e){
		e.preventDefault();
		$('#popupCargando').show();
		window.location='<?php echo $_SESSION['orden']['procedenciaPantallaTablet']; ?>';	
	});
	
	$('#botonVolverPreparacion').on("click",function(e){
		e.preventDefault();
		$('#popupCargando').show();
		window.location='<?php echo $_SESSION['orden']['procedenciaPantallaTablet']; ?>';	
	});
	
	$('#botonCamara').on("click",function(e){
	
		if( ($('#ubicacion').length && $('#ubicacion').val()!='') || ($('#contenedor').length && $('#contenedor').val()!='') || ($('#cantidad').length && $('#cantidad').val()!='') ) {
			confirm('Atención: tienes algunas lecturas en pantalla que no han sido enviadas a Proxium.<br>Si accedes a la pantalla de fotografías, perderás esta lectura y deberás volver a realizarla ya que no ha sido enviada a Proxium.','advertencia')
			.done(function(){
				$('#popupCargando').show();
				//window.location='<?php echo $rutaHtml; ?>/orden-preparacion-S-fotos.php';
				//10-10-2022 unificacion pantalla fotos
				window.location='<?php echo $rutaHtml; ?>/fotos.php?proceso=salidas';
			});
		}
		else {
			$('#popupCargando').show();
			//window.location='<?php echo $rutaHtml; ?>/orden-preparacion-S-fotos.php';
			//10-10-2022 unificacion pantalla fotos
			window.location='<?php echo $rutaHtml; ?>/fotos.php?proceso=salidas';
		}

	});
	
});

</script>